org.eclipse.ease.ui.dnd

## Class AbstractFileDropHandler

- java.lang.Object
- - org.eclipse.ease.ui.dnd.AbstractFileDropHandler

All Implemented Interfaces:
  IShellDropHandler

    public abstract class AbstractFileDropHandler
    extends Object
    implements IShellDropHandler

Helper class for file drop handler. Accepts files with certain file extensions and allows to encode their path.

### Constructor Summary

Constructors
Constructor and Description
`AbstractFileDropHandler()`

### Method Summary

Methods
`boolean` `accepts(IScriptEngine scriptEngine, Object element)` Verify that object can be handled.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.ui.dnd.IShellDropHandler

`performDrop`

### Constructor Detail

#### AbstractFileDropHandler

    public AbstractFileDropHandler()

### Method Detail

#### accepts

    public boolean accepts(IScriptEngine scriptEngine,
                  Object element)

Description copied from interface: `IShellDropHandler`
Verify that object can be handled.

Specified by:
  `accepts` in interface `IShellDropHandler`
Parameters:
  `scriptEngine` - script engine to execute drop action
  `element` - element to be dropped
Returns:
  `true` when element can be handled